Skip to main content
GET
/
v1
/
api
/
profile
/
trades
Get user trades
curl --request GET \
  --url https://api.dotprediction.io/v1/api/profile/trades \
  --header 'X-API-Key: <api-key>'
{
  "trades": [
    {
      "platform": "<string>",
      "trade_id": "<string>",
      "user_id": "<string>",
      "market_id": "<string>",
      "ticker": "<string>",
      "title": "<string>",
      "side": "<string>",
      "outcome": "<string>",
      "price": 123,
      "size": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "metadata": {
        "maker_nickname": "<string>",
        "maker_action": "<string>"
      }
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>"
  },
  "meta": {
    "request_time": 123,
    "platform": "<string>",
    "data_freshness": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.

Query Parameters

provider
enum<string>
required

The prediction market platform.

Available options:
kalshi,
polymarket
user
string
required

The user identifier on the platform.

limit
string

Maximum number of trades to return.

cursor
string

Pagination cursor.

Response

A paginated list of user trades.

trades
object[]
pagination
object
meta
object